@echo off

rem #
rem # IBM Confidential
rem # OCO Source Materials
rem # Rational ClearQuest
rem # (C) Copyright IBM Corp. 2008. All Rights Reserved.
rem #
rem # The source code for this program is not published or otherwise
rem # divested of its trade secrets, irrespective of what has been
rem # deposited with the U.S. Copyright Office.
rem #

:start
if "%1"=="-h" goto usage
if "%1"=="" goto usage
if "%2"=="" goto usage
if "%3"=="" goto usage
if "%4"=="" goto usage
if "%TEMP%"=="" goto usage2
if not exist %TEMP% goto usage2
goto files
:files
echo drop package NULLID.DDOU510B; >%TEMP%\drop_commands.sql
echo drop package NULLID.DDOU510A; >>%TEMP%\drop_commands.sql
echo drop package NULLID.DDOS510B; >>%TEMP%\drop_commands.sql
echo drop package NULLID.DDOS510A; >>%TEMP%\drop_commands.sql
echo drop package NULLID.DDOR510B; >>%TEMP%\drop_commands.sql
echo drop package NULLID.DDOR510A; >>%TEMP%\drop_commands.sql
echo drop package NULLID.DDON510B; >>%TEMP%\drop_commands.sql
echo drop package NULLID.DDON510A; >>%TEMP%\drop_commands.sql
echo drop package NULLID.DDOC510B; >>%TEMP%\drop_commands.sql
echo drop package NULLID.DDOC510A; >>%TEMP%\drop_commands.sql
echo quit; >>%TEMP%\drop_commands.sql
echo quit; >%TEMP%\quit_commands.sql

if "%5"=="" goto noport

:withport
if "%5"=="DB2_SECURE_LOGIN" goto securelogin_noport
if "%6"=="" goto nosecurelogin_withport

:withsecurelogin_withport
pdsql -v db2 -s %1 -db %2 -u %3 -p %4 -noprompt -co PORT=%5;%6 <%TEMP%\drop_commands.sql
if %errorlevel% NEQ 0 goto errorconnect
pdsql -v db2 -s %1 -db %2 -u %3 -p %4 -noprompt -co "PORT=%5;%6;EXTRA_PARAMS='GA=PUBLIC;GE=1;CP=1'" <%TEMP%\quit_commands.sql
if %errorlevel% NEQ 0 goto errorbind
goto endok

:nosecurelogin_withport
pdsql -v db2 -s %1 -db %2 -u %3 -p %4 -noprompt -co PORT=%5 <%TEMP%\drop_commands.sql
if %errorlevel% NEQ 0 goto errorconnect
pdsql -v db2 -s %1 -db %2 -u %3 -p %4 -noprompt -co "PORT=%5;EXTRA_PARAMS='GA=PUBLIC;GE=1;CP=1'" <%TEMP%\quit_commands.sql
if %errorlevel% NEQ 0 goto errorbind
goto endok

:noport
if "%6"=="" goto nosecurelogin_noport

:securelogin_noport
pdsql -v db2 -s %1 -db %2 -u %3 -p %4 -noprompt -co %5 <%TEMP%\drop_commands.sql
if %errorlevel% NEQ 0 goto errorconnect
pdsql -v db2 -s %1 -db %2 -u %3 -p %4 -noprompt -co "%5;EXTRA_PARAMS='GA=PUBLIC;GE=1;CP=1'" <%TEMP%\quit_commands.sql
if %errorlevel% NEQ 0 goto errorbind
goto endok

:nosecurelogin_noport
pdsql -v db2 -s %1 -db %2 -u %3 -p %4 -noprompt <%TEMP%\drop_commands.sql
if %errorlevel% NEQ 0 goto errorconnect
pdsql -v db2 -s %1 -db %2 -u %3 -p %4 -noprompt -co "EXTRA_PARAMS='GA=PUBLIC;GE=1;CP=1'" <%TEMP%\quit_commands.sql
if %errorlevel% NEQ 0 goto errorbind
goto endok

:endok
@echo DB2 packages have been bound to database %2 on server %1 if no error messages were displayed.
goto end

:errorconnect
@echo ***** 
@echo There was a problem connecting to the DB2 database with the provided arguments. 
@echo Please check that you can connect to database %2 on server %1 with username %3 and password %4.
@echo ***** 
goto end

:errorbind
@echo ***** 
@echo There was a problem binding packages in the DB2 database. 
@echo Please confirm that username %3 has DBA privileges in database %2 on server %1.
@echo ***** 
goto end

:usage
@echo on
@echo binddb2pkg usage:
@echo     binddb2pkg -h prints this message
@echo     binddb2pkg server database user password [port] [DB2_SECURE_LOGIN]
@echo         If no port is supplied, a port of 50000 is assumed
goto end

:usage2
@echo on
@echo The environment variable TEMP must be set to a directory that will be used for temporary files.

:end
